     <!-- item START-->
     <item class="post" id="post{{idx}}" *ngFor="let item of items() ; let idx = index">
      <his-item-header [item]="item" (delete)="onDeleteitem($event)" (titleChanged)="onModify($event)"></his-item-header>
      <his-item-body [item]="item"></his-item-body>
    <!-- <pre>{{ item | json }}</pre> -->
  </item>
  <!-- item END-->
